> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/cloud-ingest/s3.md).

# S3

AWS S3 synchronization operations

## Retrieve a capability

> Returns the capability of the file system with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"},{"name":"GCS","description":"Google Cloud Storage synchronization operations"},{"name":"ADLS","description":"Azure Data Lake Storage synchronization operations"},{"name":"TABLEAU","description":"Tableau Server synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}},"paths":{"/filesystem/{fileSystemType}/{assetId}/capability":{"get":{"tags":["S3","GCS","ADLS","TABLEAU"],"summary":"Retrieve a capability","description":"Returns the capability of the file system with the specified ID.","operationId":"getAttachedCapabilityId","parameters":[{"name":"fileSystemType","in":"path","required":true,"schema":{"type":"string","enum":["S3","GCS","ADLS","TABLEAU","POWERBI","VIRTUAL"]}},{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Id of attached Edge capability","content":{"application/json":{"schema":{"type":"string","format":"uuid"}}}},"404":{"description":"No capability attached"}}}}}}
```

## Add a capability

> Adds a capability to the file system with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"},{"name":"GCS","description":"Google Cloud Storage synchronization operations"},{"name":"ADLS","description":"Azure Data Lake Storage synchronization operations"},{"name":"TABLEAU","description":"Tableau Server synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}},"paths":{"/filesystem/{fileSystemType}/{assetId}/capability":{"put":{"tags":["S3","GCS","ADLS","TABLEAU"],"summary":"Add a capability","description":"Adds a capability to the file system with the specified ID.","operationId":"attachCapability","parameters":[{"name":"fileSystemType","in":"path","required":true,"schema":{"type":"string","enum":["S3","GCS","ADLS","TABLEAU","POWERBI","VIRTUAL"]}},{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string","format":"uuid"}}}},"responses":{"204":{"description":"Capability attached"}}}}}}
```

## Remove a capability

> Removes a capability from the file system with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"},{"name":"GCS","description":"Google Cloud Storage synchronization operations"},{"name":"ADLS","description":"Azure Data Lake Storage synchronization operations"},{"name":"TABLEAU","description":"Tableau Server synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}},"paths":{"/filesystem/{fileSystemType}/{assetId}/capability":{"delete":{"tags":["S3","GCS","ADLS","TABLEAU"],"summary":"Remove a capability","description":"Removes a capability from the file system with the specified ID.","operationId":"detachCapability","parameters":[{"name":"fileSystemType","in":"path","required":true,"schema":{"type":"string","enum":["S3","GCS","ADLS","TABLEAU","POWERBI","VIRTUAL"]}},{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"Capability detached"}}}}}}
```

## GET /filesystem

> Find filesystem assets that have the given Edge capability attached

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"},{"name":"GCS","description":"Google Cloud Storage synchronization operations"},{"name":"ADLS","description":"Azure Data Lake Storage synchronization operations"},{"name":"TABLEAU","description":"Tableau Server synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}},"paths":{"/filesystem":{"get":{"tags":["S3","GCS","ADLS","TABLEAU"],"summary":"Find filesystem assets that have the given Edge capability attached","operationId":"findFilesystemAssetIdsForCapability","parameters":[{"name":"capabilityId","in":"query","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Filesystem asset ids","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}}}}}}}}
```

## List crawlers

> Returns a list of crawlers that are defined for the file system with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"},{"name":"GCS","description":"Google Cloud Storage synchronization operations"},{"name":"ADLS","description":"Azure Data Lake Storage synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Crawler":{"type":"object","properties":{"crawlerId":{"type":"string","format":"uuid"},"name":{"type":"string"},"includePaths":{"type":"array","items":{"$ref":"#/components/schemas/CrawlerIncludePath"}},"fileSystemId":{"type":"string","format":"uuid"},"domainId":{"type":"string","format":"uuid"},"customClassifiers":{"type":"array","items":{"type":"string"}},"tableLevel":{"type":"integer","format":"int32"},"targets":{"type":"string"},"fileGroupPattern":{"type":"string"}}},"CrawlerIncludePath":{"required":["excludePatterns","path"],"type":"object","properties":{"path":{"type":"string"},"excludePatterns":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}}}},"paths":{"/filesystem/{fileSystemType}/{assetId}/crawlers":{"get":{"tags":["S3","GCS","ADLS"],"summary":"List crawlers","description":"Returns a list of crawlers that are defined for the file system with the specified ID.","operationId":"getCrawlers","parameters":[{"name":"fileSystemType","in":"path","required":true,"schema":{"type":"string","enum":["S3","GCS","ADLS","TABLEAU","POWERBI","VIRTUAL"]}},{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Crawler"}}}}}}}}}}
```

## Add a crawler

> Adds a new crawler definition to the file system with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"},{"name":"GCS","description":"Google Cloud Storage synchronization operations"},{"name":"ADLS","description":"Azure Data Lake Storage synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"AddCrawlerRequest":{"required":["assetTypeId","domainId","fileSystemAssetId","includePaths","name"],"type":"object","properties":{"name":{"maxLength":2147483647,"minLength":1,"type":"string"},"includePaths":{"maxItems":2147483647,"minItems":1,"type":"array","items":{"$ref":"#/components/schemas/CrawlerIncludePathRequest"}},"fileSystemAssetId":{"type":"string","format":"uuid"},"domainId":{"type":"string","format":"uuid"},"assetTypeId":{"type":"string","format":"uuid"},"customClassifiers":{"type":"array","items":{"type":"string"}},"tableLevel":{"maximum":100,"minimum":1,"type":"integer","format":"int32"},"targets":{"type":"string"},"fileGroupPattern":{"type":"string"}}},"CrawlerIncludePathRequest":{"required":["path"],"type":"object","properties":{"path":{"type":"string"},"excludePatterns":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}},"Crawler":{"type":"object","properties":{"crawlerId":{"type":"string","format":"uuid"},"name":{"type":"string"},"includePaths":{"type":"array","items":{"$ref":"#/components/schemas/CrawlerIncludePath"}},"fileSystemId":{"type":"string","format":"uuid"},"domainId":{"type":"string","format":"uuid"},"customClassifiers":{"type":"array","items":{"type":"string"}},"tableLevel":{"type":"integer","format":"int32"},"targets":{"type":"string"},"fileGroupPattern":{"type":"string"}}},"CrawlerIncludePath":{"required":["excludePatterns","path"],"type":"object","properties":{"path":{"type":"string"},"excludePatterns":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}}}},"paths":{"/filesystem/{fileSystemType}/{assetId}/crawlers":{"post":{"tags":["S3","GCS","ADLS"],"summary":"Add a crawler","description":"Adds a new crawler definition to the file system with the specified ID.","operationId":"addCrawler","parameters":[{"name":"fileSystemType","in":"path","required":true,"schema":{"type":"string","enum":["S3","GCS","ADLS","TABLEAU","POWERBI","VIRTUAL"]}},{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddCrawlerRequest"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Crawler"}}}}}}}}}
```

## Update a crawler

> Updates a crawler definition for the file system with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"},{"name":"GCS","description":"Google Cloud Storage synchronization operations"},{"name":"ADLS","description":"Azure Data Lake Storage synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"UpdateCrawlerRequest":{"required":["assetTypeId","crawlerId","domainId","includePaths","name"],"type":"object","properties":{"name":{"maxLength":2147483647,"minLength":1,"type":"string"},"includePaths":{"maxItems":2147483647,"minItems":1,"type":"array","items":{"$ref":"#/components/schemas/CrawlerIncludePathRequest"}},"crawlerId":{"type":"string","format":"uuid"},"domainId":{"type":"string","format":"uuid"},"assetTypeId":{"type":"string","format":"uuid"},"customClassifiers":{"type":"array","items":{"type":"string"}},"tableLevel":{"maximum":100,"minimum":1,"type":"integer","format":"int32"},"targets":{"type":"string"},"fileGroupPattern":{"type":"string"}}},"CrawlerIncludePathRequest":{"required":["path"],"type":"object","properties":{"path":{"type":"string"},"excludePatterns":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}},"Crawler":{"type":"object","properties":{"crawlerId":{"type":"string","format":"uuid"},"name":{"type":"string"},"includePaths":{"type":"array","items":{"$ref":"#/components/schemas/CrawlerIncludePath"}},"fileSystemId":{"type":"string","format":"uuid"},"domainId":{"type":"string","format":"uuid"},"customClassifiers":{"type":"array","items":{"type":"string"}},"tableLevel":{"type":"integer","format":"int32"},"targets":{"type":"string"},"fileGroupPattern":{"type":"string"}}},"CrawlerIncludePath":{"required":["excludePatterns","path"],"type":"object","properties":{"path":{"type":"string"},"excludePatterns":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}}}},"paths":{"/filesystem/{fileSystemType}/{assetId}/crawlers":{"put":{"tags":["S3","GCS","ADLS"],"summary":"Update a crawler","description":"Updates a crawler definition for the file system with the specified ID.","operationId":"updateCrawler","parameters":[{"name":"fileSystemType","in":"path","required":true,"schema":{"type":"string","enum":["S3","GCS","ADLS","TABLEAU","POWERBI","VIRTUAL"]}},{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCrawlerRequest"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Crawler"}}}}}}}}}
```

## Delete a crawler

> Deletes a crawler definition from the file system with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"},{"name":"GCS","description":"Google Cloud Storage synchronization operations"},{"name":"ADLS","description":"Azure Data Lake Storage synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"RemoveCrawlerRequest":{"required":["assetTypeId","crawlerId","fileSystemAssetId"],"type":"object","properties":{"crawlerId":{"type":"string","format":"uuid"},"fileSystemAssetId":{"type":"string","format":"uuid"},"assetTypeId":{"type":"string","format":"uuid"}}}}},"paths":{"/filesystem/{fileSystemType}/{assetId}/crawlers":{"delete":{"tags":["S3","GCS","ADLS"],"summary":"Delete a crawler","description":"Deletes a crawler definition from the file system with the specified ID.","operationId":"deleteCrawler","parameters":[{"name":"fileSystemType","in":"path","required":true,"schema":{"type":"string","enum":["S3","GCS","ADLS","TABLEAU","POWERBI","VIRTUAL"]}},{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveCrawlerRequest"}}}},"responses":{"204":{"description":"Crawler deleted"}}}}}}
```

## Retrieve a synchronization schedule

> Returns the synchronization schedule for the file system with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"},{"name":"GCS","description":"Google Cloud Storage synchronization operations"},{"name":"ADLS","description":"Azure Data Lake Storage synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Schedule":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"lastRunTimeStamp":{"type":"integer","format":"int64"},"nextRunDateLongValue":{"type":"integer","format":"int64"},"cronJson":{"type":"string"},"workflow":{"type":"string"}}}}},"paths":{"/filesystem/{fileSystemType}/{assetId}/schedule":{"get":{"tags":["S3","GCS","ADLS"],"summary":"Retrieve a synchronization schedule","description":"Returns the synchronization schedule for the file system with the specified ID.","operationId":"getSchedule","parameters":[{"name":"fileSystemType","in":"path","required":true,"schema":{"type":"string","enum":["S3","GCS","ADLS","TABLEAU","POWERBI","VIRTUAL"]}},{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"cloud synchronization schedule","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Schedule"}}}}}}}}}
```

## Add a synchronization schedule

> Adds a synchronization schedule for the file system with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"},{"name":"GCS","description":"Google Cloud Storage synchronization operations"},{"name":"ADLS","description":"Azure Data Lake Storage synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"AddFileSystemScheduleRequest":{"required":["cronExpression","cronTimeZone","fileSystemAssetId"],"type":"object","properties":{"fileSystemAssetId":{"type":"string","format":"uuid"},"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"cronJson":{"type":"string"}}},"Schedule":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"lastRunTimeStamp":{"type":"integer","format":"int64"},"nextRunDateLongValue":{"type":"integer","format":"int64"},"cronJson":{"type":"string"},"workflow":{"type":"string"}}}}},"paths":{"/filesystem/{fileSystemType}/{assetId}/schedule":{"post":{"tags":["S3","GCS","ADLS"],"summary":"Add a synchronization schedule","description":"Adds a synchronization schedule for the file system with the specified ID.","operationId":"addSchedule","parameters":[{"name":"fileSystemType","in":"path","required":true,"schema":{"type":"string","enum":["S3","GCS","ADLS","TABLEAU","POWERBI","VIRTUAL"]}},{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddFileSystemScheduleRequest"}}}},"responses":{"200":{"description":"Cloud synchronization schedule added","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Schedule"}}}}}}}}}
```

## Update a synchronization schedule

> Updates a synchronization schedule for the file system with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"},{"name":"GCS","description":"Google Cloud Storage synchronization operations"},{"name":"ADLS","description":"Azure Data Lake Storage synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"ChangeFileSystemScheduleRequest":{"required":["cronExpression","cronTimeZone","fileSystemAssetId"],"type":"object","properties":{"fileSystemAssetId":{"type":"string","format":"uuid"},"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"cronJson":{"type":"string"}}},"Schedule":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"lastRunTimeStamp":{"type":"integer","format":"int64"},"nextRunDateLongValue":{"type":"integer","format":"int64"},"cronJson":{"type":"string"},"workflow":{"type":"string"}}}}},"paths":{"/filesystem/{fileSystemType}/{assetId}/schedule":{"put":{"tags":["S3","GCS","ADLS"],"summary":"Update a synchronization schedule","description":"Updates a synchronization schedule for the file system with the specified ID.","operationId":"updateSchedule","parameters":[{"name":"fileSystemType","in":"path","required":true,"schema":{"type":"string","enum":["S3","GCS","ADLS","TABLEAU","POWERBI","VIRTUAL"]}},{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeFileSystemScheduleRequest"}}}},"responses":{"200":{"description":"S3 synchronization schedule updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Schedule"}}}},"201":{"description":"New S3 synchronization schedule created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Schedule"}}}}}}}}}
```

## Delete a synchronization schedule

> Deletes a synchronization schedule for the file system with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"},{"name":"GCS","description":"Google Cloud Storage synchronization operations"},{"name":"ADLS","description":"Azure Data Lake Storage synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}},"paths":{"/filesystem/{fileSystemType}/{assetId}/schedule":{"delete":{"tags":["S3","GCS","ADLS"],"summary":"Delete a synchronization schedule","description":"Deletes a synchronization schedule for the file system with the specified ID.","operationId":"deleteSchedule","parameters":[{"name":"fileSystemType","in":"path","required":true,"schema":{"type":"string","enum":["S3","GCS","ADLS","TABLEAU","POWERBI","VIRTUAL"]}},{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"Cloud synchronization schedule deleted"}}}}}}
```

## Synchronize a file system

> Starts an asynchronous Edge synchronization job for the file system or capability with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"},{"name":"GCS","description":"Google Cloud Storage synchronization operations"},{"name":"ADLS","description":"Azure Data Lake Storage synchronization operations"},{"name":"TABLEAU","description":"Tableau Server synchronization operations"},{"name":"POWERBI","description":"PowerBi synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Job":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"type":{"type":"string","description":"The type of the job."},"userId":{"type":"string","description":"The ID of the user that initiated this job.","format":"uuid"},"visibility":{"type":"integer","description":"The visibility of the job.","format":"int32"},"progressPercentage":{"type":"number","description":"The progress percentage of the job.","format":"double"},"cancelable":{"type":"boolean","description":"Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted."},"startDate":{"type":"integer","description":"The start date of the job.","format":"int64"},"endDate":{"type":"integer","description":"The end date of the job.","format":"int64"},"state":{"type":"string","description":"The state of the job.","enum":["WAITING","RUNNING","CANCELING","COMPLETED","CANCELED","ERROR"]},"result":{"type":"string","description":"The result of the job.","enum":["NOT_SET","SUCCESS","COMPLETED_WITH_ERROR","FAILURE","ABORTED"]},"message":{"type":"string","description":"The message of the job."}},"description":"Represents a job. Job is a single atomic task that is to be performed asynchronously"}}},"paths":{"/filesystem/{fileSystemType}/{assetId}/synchronize":{"post":{"tags":["S3","GCS","ADLS","TABLEAU","POWERBI"],"summary":"Synchronize a file system","description":"Starts an asynchronous Edge synchronization job for the file system or capability with the specified ID.","operationId":"synchronizeFileSystem","parameters":[{"name":"fileSystemType","in":"path","required":true,"schema":{"type":"string","enum":["S3","GCS","ADLS","TABLEAU","POWERBI","VIRTUAL"]}},{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"cloudIngestionJobId","in":"query","schema":{"type":"string","format":"uuid"}}],"responses":{"202":{"description":"Cloud synchronization job successfully started","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Job"}}}}}}}}}
```

## DELETE /filesystem/{fileSystemType}/{assetId}/synchronize

> Schedule canceling of cloud synchronization

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"},{"name":"GCS","description":"Google Cloud Storage synchronization operations"},{"name":"ADLS","description":"Azure Data Lake Storage synchronization operations"},{"name":"TABLEAU","description":"Tableau Server synchronization operations"},{"name":"POWERBI","description":"PowerBi synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}},"paths":{"/filesystem/{fileSystemType}/{assetId}/synchronize":{"delete":{"tags":["S3","GCS","ADLS","TABLEAU","POWERBI"],"summary":"Schedule canceling of cloud synchronization","operationId":"cancel","parameters":[{"name":"fileSystemType","in":"path","required":true,"schema":{"type":"string","enum":["S3","GCS","ADLS","TABLEAU","POWERBI","VIRTUAL"]}},{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"404":{"description":"No job to cancel"}}}}}}
```

## Get the custom classifiers.

> Get the custom classifiers for S3 Glue crawler.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}},"paths":{"/filesystem/s3/{assetId}/crawlers/{crawlerId}":{"get":{"tags":["S3"],"summary":"Get the custom classifiers.","description":"Get the custom classifiers for S3 Glue crawler.","operationId":"getCrawlerCustomClassifiers","parameters":[{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"crawlerId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Content of custom classifiers","content":{"application/json":{"schema":{"type":"string"}}}}}}}}}
```

## Set the custom classifiers.

> Set the custom classifiers for S3 Glue crawler.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"UpdateCrawlerCustomClassifiersRequest":{"required":["crawlerId","customClassifierNames"],"type":"object","properties":{"crawlerId":{"type":"string","format":"uuid"},"customClassifierNames":{"type":"array","items":{"type":"string"}}}}}},"paths":{"/filesystem/s3/{assetId}/crawlers/{crawlerId}":{"patch":{"tags":["S3"],"summary":"Set the custom classifiers.","description":"Set the custom classifiers for S3 Glue crawler.","operationId":"changeCrawlerCustomClassifiers","parameters":[{"name":"assetId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"crawlerId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCrawlerCustomClassifiersRequest"}}}},"responses":{"204":{"description":"Custom classifiers has been successfully set"}}}}}}
```

## Asynchronously synchronizes an S3 File System.

> Starts a Jobserver based synchronization job for the give S3 File System.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"S3","description":"AWS S3 synchronization operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Job":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"type":{"type":"string","description":"The type of the job."},"userId":{"type":"string","description":"The ID of the user that initiated this job.","format":"uuid"},"visibility":{"type":"integer","description":"The visibility of the job.","format":"int32"},"progressPercentage":{"type":"number","description":"The progress percentage of the job.","format":"double"},"cancelable":{"type":"boolean","description":"Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted."},"startDate":{"type":"integer","description":"The start date of the job.","format":"int64"},"endDate":{"type":"integer","description":"The end date of the job.","format":"int64"},"state":{"type":"string","description":"The state of the job.","enum":["WAITING","RUNNING","CANCELING","COMPLETED","CANCELED","ERROR"]},"result":{"type":"string","description":"The result of the job.","enum":["NOT_SET","SUCCESS","COMPLETED_WITH_ERROR","FAILURE","ABORTED"]},"message":{"type":"string","description":"The message of the job."}},"description":"Represents a job. Job is a single atomic task that is to be performed asynchronously"}}},"paths":{"/filesystem/s3/{assetId}/synchronize/jobserver":{"post":{"tags":["S3"],"summary":"Asynchronously synchronizes an S3 File System.","description":"Starts a Jobserver based synchronization job for the give S3 File System.","operationId":"synchronizeS3FileSystem","parameters":[{"name":"assetId","in":"path","description":"S3 File System identifier","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"202":{"description":"S3 synchronization job successfully started","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Job"}}}},"409":{"description":"Other synchronization for this s3FileSystemId is currently active"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/cloud-ingest/s3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
